Bug 18108 - Sorting by author in opac summary
Summary: Sorting by author in opac summary
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 13685
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-14 01:20 UTC by Aleisha Amohia
Modified: 2017-03-12 22:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18108: Sorting by author in opac summary (2.54 KB, patch)
2017-02-14 01:22 UTC, Aleisha Amohia
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18108: Sorting by author in opac summary (2.60 KB, patch)
2017-02-14 02:58 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18108: Sorting by author in opac summary (2.66 KB, patch)
2017-02-20 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2017-02-14 01:20:50 UTC
similar fix desired from bug 13685, comment 9
Comment 1 Aleisha Amohia 2017-02-14 01:22:01 UTC
Created attachment 60169 [details] [review]
Bug 18108: Sorting by author in opac summary

To test:
1) Log into OPAC, go to your summary
2) Notice 'author' is in Title column, therefore unable to sort by
author
3) Apply patch and refresh page
4) Notice author has now been moved into Author column
5) Confirm sorting by author works as expected and sorting of all other
columns works as expected

Sponsored-by: Catalyst IT
Comment 2 M. Tompsett 2017-02-14 02:58:51 UTC
Created attachment 60173 [details] [review]
[SIGNED-OFF] Bug 18108: Sorting by author in opac summary

To test:
1) Log into OPAC, go to your summary
2) Notice 'author' is in Title column, therefore unable to sort by
author
3) Apply patch and refresh page
4) Notice author has now been moved into Author column
5) Confirm sorting by author works as expected and sorting of all other
columns works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Jonathan Druart 2017-02-20 13:53:18 UTC
Created attachment 60465 [details] [review]
Bug 18108: Sorting by author in opac summary

To test:
1) Log into OPAC, go to your summary
2) Notice 'author' is in Title column, therefore unable to sort by
author
3) Apply patch and refresh page
4) Notice author has now been moved into Author column
5) Confirm sorting by author works as expected and sorting of all other
columns works as expected

Sponsored-by: Catalyst IT

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Kyle M Hall 2017-03-03 18:14:40 UTC
Pushed to master for 17.05, thanks Aleisha!
Comment 5 Katrin Fischer 2017-03-12 22:59:18 UTC
This won't get ported back to 16.11.x as it is an enhancement.